# Import your model, using the SinGen example
from SinGen import *

# Import the simulator and LaTeX generator
from pyCBD.simulator import Simulator
from pyCBD.converters.latexify import CBD2Latex

# Create the model
model = SinGen('model')

# sim = Simulator(model)
# sim.setVerbose(None)
# sim.run(20)

# Create the converter (see docs for info on args)
cbd2latex = CBD2Latex(model, show_steps=True)

# Simplify the set of equations
cbd2latex.simplify()

# Show the result (will be shown automatically because of show_steps)
print(cbd2latex.render())
